package zero1hd.polyjet.util;

import com.badlogic.gdx.utils.Array;

public class MiniSender {
	private Array<MiniListener> listeners;

	public MiniSender() {
		listeners = new Array<MiniListener>();
	}
	
	public void send(MiniEvents ID) {
		for (MiniListener listener : listeners) {
			listener.handle(ID);
		}
	}
	
	public void addListener(MiniListener handler) {
		listeners.add(handler);
	}
	
	public void removeListener(MiniListener listener) {
		listeners.removeValue(listener, true);
	}
}
